### Function

# Camel header_decode_date

#### Declaration [src]

    time_t
    camel_header_decode_date (
      const gchar* str,
      gint* tz_offset
    )

#### Description [src]

Decodes the rfc822 date string and saves the GMT offset into `tz_offset` if non-NULL.

#### Parameters

`str`

  Type: `const gchar*`

  Input date string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`tz_offset`

  Type: `gint*`

  Timezone offset.

  The data is owned by the caller of the function.

#### Return value

Type: `time_t`

The time_t representation of the date string specified by `str` or (time_t) 0 on error. If `tz_offset` is non-NULL, the value of the timezone offset will be stored.